﻿using System;
using System.Collections.ObjectModel;
using XamDataGrid_Field_AllowEdit.Infrastructure;
using XamDataGrid_Field_AllowEdit.Model;

namespace XamDataGrid_Field_AllowEdit.ViewModel
{
    class MainViewModel : NotificationObject
    {
        public ObservableCollection<TaskItem> Tasks { get; set; }

        private bool _allowTitleEdit;
        public bool AllowTitleEdit
        {
            get
            {
                return _allowTitleEdit;
            }
            set
            {
                _allowTitleEdit = value;
                OnPropertyChanged();
            }
        }

        private bool _allowDueEdit;
        public bool AllowDueEdit
        {
            get
            {
                return _allowDueEdit;
            }
            set
            {
                _allowDueEdit = value;
                OnPropertyChanged();
            }
        }

        public MainViewModel()
        {
            #region タスク作成
            ObservableCollection<TaskItem> tasks = new ObservableCollection<TaskItem>();

            for (int i = 0; i < 20; i++)
            {
                TaskItem task = new TaskItem();
                task.ID = i;
                task.Title = "タイトル" + i.ToString();
                task.Due = DateTime.Today.AddDays(i);
                task.IsCompleted = false;
                tasks.Add(task);
            }

            this.Tasks = tasks;
            #endregion


            #region 列編集可否

            this.AllowTitleEdit = true;
            this.AllowDueEdit = false;

            #endregion
        }
    }
}
